<?php

namespace App\Controllers;

use CodeIgniter\Controller;
use App\Models\UserModel;

class Login extends Controller
{
    public function index()
    {
        return view('/login/inicio');
    }

    public function loginProcess()
    {
        // Obter os dados de login enviados pelo formulário
        $email = $this->request->getPost('email');
        $password = $this->request->getPost('password');
    
        // Realizar a validação do login no banco de dados
        $userModel = new UserModel();
        $user = $userModel->where('email', $email)->first();
    
        if ($user && password_verify($password, $user['password'])) {
            // Login bem-sucedido
    
            // Armazenar os detalhes do usuário na sessão
            $userData = [
                'user_id' => $user['id'],
                'email' => $user['email'],
                'level' => $user['level']
            ];
            session()->set($userData);
    
            // Redirecionar para a página inicial ou para a página desejada após o login
            return redirect()->to('dash');
        } else {
            // Login inválido
            return redirect()->back()->withInput()->with('error', 'Credenciais inválidas. Tente novamente.');
        }
    }
    

    public function logout()
    {
        // Destruir a sessão e redirecionar para a página de login
        session()->destroy();
        return redirect()->to('cliente');
    }

    // public function generatePasswordHash()
    // {
    //     $password = '102030'; // Substitua pela senha que deseja gerar o hash
        
    //     $hashedPassword = password_hash($password, PASSWORD_DEFAULT);
        
    //     echo $hashedPassword;
    // }
    
}
